
package com.tmerclub.cloud.live.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serializable;
import java.util.Date;
/**
 * 直播间
 * @author TRACK
 */
public class LiveRoom extends BaseModel implements Serializable{
    private static final long serialVersionUID = 1L;

    /**
     * 直播间信息
     */
    private Long roomId;

    /**
     * 店铺id
     */
    private Long shopId;

    /**
     * 直播间名称
     */
    private String name;

    /**
     * 主播用户id
     */
    private Long userId;

    /**
     * 直播间状态 0.未开始 1.直播中 2.已结束 3.暂停中 -1.违规下架
     */
    private Integer liveStatus;

    /**
     * 直播背景图
     */
    private String coverImg;

    /**
     * 主播分享图
     */
    private String shareImg;

    /**
     * 直播封面图
     */
    private String feedsImg;

    /**
     * 是否置顶 1.是 0.不是
     */
    private Integer roomTop;

    /**
     * 直播开始时间
     */
    private Date startTime;

    /**
     * 直播结束时间
     */
    private Date endTime;

    /**
     * 下线备注
     */
    private String remark;

    public Long getRoomId() {
        return roomId;
    }

    public void setRoomId(Long roomId) {
        this.roomId = roomId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getLiveStatus() {
        return liveStatus;
    }

    public void setLiveStatus(Integer liveStatus) {
        this.liveStatus = liveStatus;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getShareImg() {
        return shareImg;
    }

    public void setShareImg(String shareImg) {
        this.shareImg = shareImg;
    }

    public String getFeedsImg() {
        return feedsImg;
    }

    public void setFeedsImg(String feedsImg) {
        this.feedsImg = feedsImg;
    }

    public Integer getRoomTop() {
        return roomTop;
    }

    public void setRoomTop(Integer roomTop) {
        this.roomTop = roomTop;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "LiveRoom{" +
                "roomId=" + roomId +
                ", shopId=" + shopId +
                ", name='" + name + '\'' +
                ", userId=" + userId +
                ", liveStatus=" + liveStatus +
                ", coverImg='" + coverImg + '\'' +
                ", shareImg='" + shareImg + '\'' +
                ", feedsImg='" + feedsImg + '\'' +
                ", roomTop=" + roomTop +
                ", startTime=" + startTime +
                ", endTime=" + endTime +
                ", remark='" + remark + '\'' +
                '}';
    }
}
